summaryrefslogtreecommitdiff
path: root/Biz/Ide/hooks/pre-commit
diff options
context:
space:
mode:
authorBen Sima <ben@bsima.me>2022-02-09 18:13:40 -0500
committerBen Sima <ben@bsima.me>2022-02-09 18:16:26 -0500
commitf664669439c0f005e3579d1c67b4ebd9fa24de36 (patch)
treeb2eadfc5ad5aab3452285da6c23e4f601fcdd334 /Biz/Ide/hooks/pre-commit
parentf21e2920872fdf3c92dc815d51d6da032d157fea (diff)
Move git hooks to own folder
Instead of symlinking, just set the local git config.
Diffstat (limited to 'Biz/Ide/hooks/pre-commit')
-rwxr-xr-xBiz/Ide/hooks/pre-commit19
1 files changed, 19 insertions, 0 deletions
diff --git a/Biz/Ide/hooks/pre-commit b/Biz/Ide/hooks/pre-commit
new file mode 100755
index 0000000..507d7e6
--- /dev/null
+++ b/Biz/Ide/hooks/pre-commit
@@ -0,0 +1,19 @@
+#!/usr/bin/env bash
+#
+# - prevent frozen code from being checked in
+# - guard against lint errors
+##
+ set -e
+ changed=($(git diff-index --cached --name-only HEAD))
+ for ns in ${changed[@]}
+ do
+ version=$($BIZ_ROOT/Biz/Ide/version $ns)
+ if (( $version < 1 )); then
+ echo "fail: version: $ns: $version"
+ exit 1
+ else
+ echo "info: version: $ns: $version"
+ fi
+ done
+ $BIZ_ROOT/Biz/Ide/lint **/*
+##